# TIFFMergeFieldInfo

## Synopsis

    #include <tiffio.h>

int TIFFMergeFieldInfo(TIFF *tif, const TIFFFieldInfo info[], uint32_t n)

## Description

`TIFFMergeFieldInfo()` is used to add application-defined TIFF tags to the list of known `libtiff` tags. A brief description is given at Defining Application Tags and a description of the `TIFFFieldInfo` array elements can be found at TIFFFFieldInfo definition.

## Diagnostics

None.

## See also

libtiff (3tiff), Defining New TIFF Tags, TIFFSetTagExtender